% Main document
%===============================================================================
% Document information
%-------------------------------------------------------------------------------
\newcommand{\documenttitle}{Bern\ RTOS\ -\ Kernel SRS}
\newcommand{\documenttitleshort}{Bern\ RTOS\ -\ Kernel SRS}
\newcommand{\documentsubtitle}{
	Software Requirements Specification for the Bern RTOS Kernel
}
\newcommand{\documentauthor}{Stefan\ Lüthi}
\newcommand{\titleimage}{title-image}
\newcommand{\organization}{Berner Fachhochschule | Haute école spécialisée bernoise | Bern University of Applied Sciences}
\newcommand{\version}{1.1}
\newcommand{\versiondate}{27.10.2021}

% Load configuration
%-------------------------------------------------------------------------------
\input{template/extra/paper_format.tex}
\input{template/extra/config.tex}

\usepackage[
    type={CC},
    modifier={by},
    version={4.0},
]{doclicense}

\usepackage{longtable}
\graphicspath{{template/images/},{template/images/pdf/},{../src/img}}
\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}

\begin{document}
	\raggedbottom % don't align page bottom, too many pictures...
	\pagenumbering{roman}

	%---------------------------------------------------------------------------
	% Leader
	%---------------------------------------------------------------------------
	\include{template/leader/titlepage}
	\pagestyle{normalpage}
	\include{template/leader/license}

	%---------------------------------------------------------------------------
	% Table of contents
	%---------------------------------------------------------------------------
	\cleardoublepage
	\tableofcontents

	%---------------------------------------------------------------------------
	% Main part
	%---------------------------------------------------------------------------
	\cleardoublepage
	\pagenumbering{arabic}

	\include{generated/content.tex}
\end{document}

